package Modelo;
// Generated 3 mar. 2022 17:58:56 by Hibernate Tools 4.3.1


import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

/**
 * Producto generated by hbm2java
 */
public class Producto  implements java.io.Serializable {


     private int idProducto;
     private CategoriaProducto categoriaProducto;
     private String nombre;
     private BigDecimal precio;
     private String descripcion;
     private String imagen;
     private Set<DetalleOrden> detalleOrdens = new HashSet<DetalleOrden>(0);
     private Set<Carrito> carritos = new HashSet<Carrito>(0);

    public Producto() {
    }

	
    public Producto(int idProducto, CategoriaProducto categoriaProducto, String nombre, BigDecimal precio, String descripcion, String imagen) {
        this.idProducto = idProducto;
        this.categoriaProducto = categoriaProducto;
        this.nombre = nombre;
        this.precio = precio;
        this.descripcion = descripcion;
        this.imagen = imagen;
    }
    public Producto(int idProducto, CategoriaProducto categoriaProducto, String nombre, BigDecimal precio, String descripcion, String imagen, Set<DetalleOrden> detalleOrdens, Set<Carrito> carritos) {
       this.idProducto = idProducto;
       this.categoriaProducto = categoriaProducto;
       this.nombre = nombre;
       this.precio = precio;
       this.descripcion = descripcion;
       this.imagen = imagen;
       this.detalleOrdens = detalleOrdens;
       this.carritos = carritos;
    }
   
    public int getIdProducto() {
        return this.idProducto;
    }
    
    public void setIdProducto(int idProducto) {
        this.idProducto = idProducto;
    }
    public CategoriaProducto getCategoriaProducto() {
        return this.categoriaProducto;
    }
    
    public void setCategoriaProducto(CategoriaProducto categoriaProducto) {
        this.categoriaProducto = categoriaProducto;
    }
    public String getNombre() {
        return this.nombre;
    }
    
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }
    public BigDecimal getPrecio() {
        return this.precio;
    }
    
    public void setPrecio(BigDecimal precio) {
        this.precio = precio;
    }
    public String getDescripcion() {
        return this.descripcion;
    }
    
    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }
    public String getImagen() {
        return this.imagen;
    }
    
    public void setImagen(String imagen) {
        this.imagen = imagen;
    }
    public Set<DetalleOrden> getDetalleOrdens() {
        return this.detalleOrdens;
    }
    
    public void setDetalleOrdens(Set<DetalleOrden> detalleOrdens) {
        this.detalleOrdens = detalleOrdens;
    }
    public Set<Carrito> getCarritos() {
        return this.carritos;
    }
    
    public void setCarritos(Set<Carrito> carritos) {
        this.carritos = carritos;
    }




}


